DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 6
SET @NewSecretTypeName = 'Contact'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, 'B1111A7C-1F05-4a61-8761-EC0D54F3027E'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 15,
		'Contact Number', 'Contact Number', 1,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6325A7C-1F05-4a61-8761-EC0D54F3027E' UNION
	SELECT 16,
		'First Name', 'First Name',			2,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8744-EC0D54F3027E' UNION
	SELECT 17,
		'Last Name', 'Last Name',			3,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-0061-EC0D54F3027E' UNION
	SELECT 18,
		'Email Address', 'Email Address',	4,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-0000-EC0D54F3027E' UNION
	SELECT 19,
		'Address1', 'Address1',				5,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-7761-EC0D54F3027E' UNION
	SELECT 20,
		'Address2', 'Address2',				6,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-11D54F3027E' UNION
	SELECT 21,
		'Address3', 'Address3',				7,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-220D54F3027E' UNION
	SELECT 22,
		'City', 'City',						8,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-330D54F3027E' UNION
	SELECT 23,
		'State', 'State',					9,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-440D54F3027E' UNION
	SELECT 24,
		'Zip', 'Zip',						10,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-550D54F3027E' UNION
	SELECT 25,
		'Country', 'Country',				11,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-660D54F3027E' UNION
	SELECT 26,
		'Work Phone', 'Work Phone',			12,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-770D54F3027E' UNION
	SELECT 27,
		'Home Phone', 'Home Phone',			13,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-880D54F3027E' UNION
	SELECT 28,
		'Mobile Phone', 'Mobile Phone',		14,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-990D54F3027E' UNION
	SELECT 29,
		'Fax', 'Fax',						15,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-EC0D54F3011E' UNION
	SELECT 30,
		'Website', 'Website',				16,	@NewSecretTypeId, 1, 'string' ,0,	0, 'B6635A7C-1F05-4a61-8761-EC0D54F3022E' UNION
	SELECT 31,
		'Blog', 'Blog',						17,	@NewSecretTypeId, 0, 'string' ,0,	0, 'ED6904B1-57D7-4700-8991-75FA7C215342' UNION
	SELECT 32,
		'SSN', 'Social Security Number',	18,	@NewSecretTypeId, 0, 'string' ,1,	0, 'ED6904B1-57D7-4700-8991-75FA7C219992' UNION
	SELECT 33,
		'Notes', 'Notes',					19,	@NewSecretTypeId, 0, 'string' ,1,	0, 'ED6904B1-57D7-4700-8991-75FA7C213332'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

